Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 591604 - cannot override cpu vendor from the command line
cannot override cpu vendor from the command line
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Gleb Natapov
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-12 12:53 EDT by Gleb Natapov
Modified: 2013-12-08 19:47 EST (History)
6 users (show)

See Also:
Fixed In Version: qemu-kvm-0.12.1.2-2.54.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-04 03:44:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gleb Natapov 2010-05-12 12:53:21 EDT
Description of problem:
cannot override cpu vendor from the command line 

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1. run qemu with -cpu qemu64,vendor="AuthenticAMD" on intel host
2. check cpu vendor in the guest
3.
  
Actual results:
vendor is GenuineIntel

Expected results:
vendor is AuthenticAMD

Additional info:
Comment 3 RHEL Product and Program Management 2010-05-12 14:07:07 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 7 Mike Cao 2010-06-02 05:01:44 EDT
Reproduced it in qemu-kvm-0.12.1.2-2.53.el6
Verified in qemu-kvm-0.12.1.2-2.69.el6

check on Linux host:
1. Start a Linux guest with "-cpu qemu64,vendor="AuthenticAMD"
#/usr/libexec/qemu-kvm -rtc-td-hack -no-hpet -usbdevice tablet -drive file=RHEL-Server-6.0-64-virtio.raw,media=disk,if=none,id=test,boot=on -device virtio-blk-pci,drive=test -net nic,macaddr=20:10:43:23:33:42,model=e1000,vlan=0 -net tap,script=/etc/qemu-ifup,vlan=0 -uuid `uuidgen` -vnc :5 -boot dc -cpu qemu64,vendor="AuthenticAMD" -smp 2 -m 2G -monitor stdio -balloon none -startdate now
2. check cpu vendor in the guest by using #cat /proc/cpuinfo.
The bug has already been fixed.

Actual results:
vendor is AuthenticAMD

Check on Windows host:
1.start a windows guest with "-cpu qemu64,vendor="AuthenticAMD"
# /usr/libexec/qemu-kvm -rtc-td-hack -no-hpet -usbdevice tablet -drive file=win2008R2.raw,media=disk,if=none,cache=none,id=test,boot=on -device virtio-blk-pci,drive=test -net nic,macaddr=20:10:43:23:33:100,model=virtio,vlan=0 -net tap,script=/etc/qemu-ifup,vlan=0 -uuid `uuidgen` -vnc :5 -boot dc -cpu qemu64,vendor="AuthenticAMD",+sse2 -smp 2 -m 2G -monitor stdio -balloon none -startdate now
2. check cpu vendor in the device manager

Actual results:
vendor is AuthenticAMD

Above all,The bug has already been fixed.

Note You need to log in before you can comment on or make changes to this bug.